<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

require_once('TwitterAPIExchange.php');

// Establecer bearer token de acceso 
$bearer_token = 'AAAAAAAAAAAAAAAAAAAAAPHMmgEAAAAAZUcZTTnNEeGr1Tz4u%2F9JXWzJ7PI%3DdcUgXswP2O67ZGmI3RVebnZA3H8hPBIVFEQfbouLBD567f3iWp';

// Configurar opciones de cURL de solicitud con bearer token
$options = array(
    CURLOPT_HTTPHEADER => array("Authorization: Bearer $bearer_token"),
    CURLOPT_SSL_VERIFYPEER => false );

// Inicializar cURL
$ch = curl_init();
$tweetid = "1646606600323600384"; // Num. de ID del Tweet a analizar

$getfield = "?id=$tweetid&tweet_mode=extended";
// Configurar opciones de cURL de solicitud con bearer token
$options = array(
    CURLOPT_HTTPHEADER => array("Authorization: Bearer $bearer_token"),
    CURLOPT_SSL_VERIFYPEER => false );

curl_setopt($ch, CURLOPT_URL, "https://api.twitter.com/1.1/statuses/show.json" . $getfield);
curl_setopt_array($ch, $options);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

// REALIZAR SOLICITUD A LA API DE TWITTER
$response = curl_exec($ch);

// PROCESAR RESPUESTA
if($response === false){
    echo 'Error al realizar la solicitud a la API de Twitter: ' . curl_error($ch);
} else {
    $tweet = json_decode($response);
    if(isset($tweet->errors)){
        echo 'Error al obtener la información del tweet: ' . $tweet->errors[0]->message;
    } else {
        // Acceder a los campos del tweet que se deseen
        echo 'ID del tweet: ' . $tweet->id_str . '<br>' ;
        echo 'Texto del tweet: ' . $tweet->full_text . '<br>' ;
        echo 'Número de Retweets: ' . $tweet->retweet_count . '<br>' ;
        echo 'Número de Likes: ' . $tweet->favorite_count . '<br>' ;
        echo 'Fecha de creación del tweet: ' . $tweet->created_at . '<br>' ;

		if (property_exists($tweet, 'reply_count')) {
		    echo 'Comentarios: ' . $tweet->reply_count . '<br>' ;  
		} else {
		    $reply_count = 0;
		}

        
}

}
// Cerrar la conexión cURL
curl_close($ch);
?>